#!/bin/bash
QT_VERSION=@QT_VERSION@

if [[ $1 == "" ]]; then
	echo "Usage: tqt-replace-stream <filename>"
else
	if [[ $QT_VERSION == 3 ]]; then
		cat $1 | \
		sed 's/^TQ\([^T_]\)/Q\1/g' | \
		sed 's/\([^_]\)TQ\([^T_]\)/\1Q\2/g' | \
		sed 's/TQT\([^_]\)/QT\1/g' | \
		sed 's/Q\([^ _]*\)_OBJECT_NAME_STRING/TQ\1_OBJECT_NAME_STRING/g' | \
		sed 's/tqApp/qApp/g' | \
		sed 's/\([ \t]\)tq\([^:(_)\t ]\)/\1\2/g' | \
		sed 's/TQ_PROPERTY/Q_PROPERTY/g' | \
		sed 's/TQ_ENUMS/Q_ENUMS/g' | \
		sed 's/TQ_SETS/Q_SETS/g' | \
		sed 's/TQ_OVERRIDE/Q_OVERRIDE/g' | \
		sed 's/TQ_CLASSINFO/Q_CLASSINFO/g' | \
		sed 's/Qt::Orientation/Orientation/g' | \
		sed 's/TQ_INT8/Q_INT8/g' | \
		sed 's/TQ_INT16/Q_INT16/g' | \
		sed 's/TQ_INT32/Q_INT32/g' | \
		sed 's/TQ_INT64/Q_INT64/g' | \
		sed 's/TQ_UINT8/Q_UINT8/g' | \
		sed 's/TQ_UINT16/Q_UINT16/g' | \
		sed 's/TQ_UINT32/Q_UINT32/g' | \
		sed 's/TQ_UINT64/Q_UINT64/g' | \
		sed 's/TQ_LONG/Q_LONG/g' | \
		sed 's/TQ_LLONG/Q_LLONG/g' | \
		sed 's/TQ_ULONG/Q_ULONG/g' | \
		sed 's/TQ_ULLONG/Q_ULLONG/g'
	fi

	if [[ $QT_VERSION == 4 ]]; then
		cat $1 | \
		sed 's/TQAccel/Q3Accel/g' | \
		sed 's/TQAccessible/QAccessible/g' | \
		sed 's/TQAccessibleObject/QAccessibleObject/g' | \
		sed 's/TQAction/Q3Action/g' | \
		sed 's/TQActionGroup/Q3ActionGroup/g' | \
		sed 's/TQApplication/QApplication/g' | \
		sed 's/TQAsciiCache/Q3AsciiCache/g' | \
		sed 's/TQAsciiCacheIterator/Q3AsciiCacheIterator/g' | \
		sed 's/TQAsciiDict/Q3AsciiDict/g' | \
		sed 's/TQAsciiDictIterator/Q3AsciiDictIterator/g' | \
		sed 's/TQImageConsumer/QImageConsumer/g' | \
		sed 's/TQImageFormat/QImageFormat/g' | \
		sed 's/TQImageFormatType/QImageFormatType/g' | \
		sed 's/TQImageDecoder/QImageDecoder/g' | \
		sed 's/TQAsyncIO/QAsyncIO/g' | \
		sed 's/TQByteArray/QByteArray/g' | \
		sed 's/TQDataSink/QDataSink/g' | \
		sed 's/TQDataSource/QDataSource/g' | \
		sed 's/TQIODeviceSource/QIODeviceSource/g' | \
		sed 's/TQDataPump/QDataPump/g' | \
		sed 's/TQBig5Codec/QBig5Codec/g' | \
		sed 's/TQBig5hkscsCodec/QBig5hkscsCodec/g' | \
		sed 's/TQBitVal/QBitVal/g' | \
		sed 's/TQBitArray/QBitArray/g' | \
		sed 's/TQBitmap/QBitmap/g' | \
		sed 's/TQBrush/QBrush/g' | \
		sed 's/TQBuffer/QBuffer/g' | \
		sed 's/TQButtonGroup/Q3ButtonGroup/g' | \
		sed 's/TQButton/Q3Button/g' | \
		sed 's/TQCache/Q3Cache/g' | \
		sed 's/TQCacheIterator/Q3CacheIterator/g' | \
		sed 's/TQCanvasChunk/Q3CanvasChunk/g' | \
		sed 's/TQCanvasItemList/Q3CanvasItemList/g' | \
		sed 's/TQCanvasItemExtra/Q3CanvasItemExtra/g' | \
		sed 's/TQCanvasItem/Q3CanvasItem/g' | \
		sed 's/TQCanvasData/Q3CanvasData/g' | \
		sed 's/TQCanvas/Q3Canvas/g' | \
		sed 's/TQCanvasViewData/Q3CanvasViewData/g' | \
		sed 's/TQCanvasView/Q3CanvasView/g' | \
		sed 's/TQCanvasPixmap/Q3CanvasPixmap/g' | \
		sed 's/TQCanvasPixmapArray/Q3CanvasPixmapArray/g' | \
		sed 's/TQCanvasSprite/Q3CanvasSprite/g' | \
		sed 's/TQPolygonalProcessor/QPolygonalProcessor/g' | \
		sed 's/TQCanvasPolygonalItem/Q3CanvasPolygonalItem/g' | \
		sed 's/TQCanvasRectangle/Q3CanvasRectangle/g' | \
		sed 's/TQCanvasPolygon/Q3CanvasPolygon/g' | \
		sed 's/TQCanvasSpline/Q3CanvasSpline/g' | \
		sed 's/TQCanvasLine/Q3CanvasLine/g' | \
		sed 's/TQCanvasEllipse/Q3CanvasEllipse/g' | \
		sed 's/TQCanvasTextExtra/Q3CanvasTextExtra/g' | \
		sed 's/TQCanvasText/Q3CanvasText/g' | \
		sed 's/TQCDEStyle/QCDEStyle/g' | \
		sed 's/TQCheckBox/QCheckBox/g' | \
		sed 's/TQCleanupHandler/QCleanupHandler/g' | \
		sed 's/TQSingleCleanupHandler/QSingleCleanupHandler/g' | \
		sed 's/TQSharedCleanupHandler/QSharedCleanupHandler/g' | \
		sed 's/TQShared/Q3Shared/g' | \
		sed 's/TQColor/QColor/g' | \
		sed 's/TQColorDialog/QColorDialog/g' | \
#		sed 's/TQStrList/QStrList/g' | \
#		sed 's/TQStringList/QStringList/g' | \
		sed 's/TQStringPairList/Q3StringPairList/g' | \
		sed 's/TQLineEdit/QLineEdit/g' | \
		sed 's/TQValidator/QValidator/g' | \
		sed 's/TQListBox/QListBox/g' | \
		sed 's/TQComboBoxData/Q3ComboBoxData/g' | \
		sed 's/TQComboTableItem/Q3ComboTableItem/g' | \
		sed 's/TQWheelEvent/QWheelEvent/g' | \
		sed 's/TQComboBox/Q3ComboBox/g' | \
		sed 's/TQCommonStyle/QCommonStyle/g' | \
		sed 's/TQCompactStyle/QCompactStyle/g' | \
		sed 's/TQConnection/QConnection/g' | \
		sed 's/TQCString/Q3CString/g' | \
		sed 's/TQCursor/QCursor/g' | \
		sed 's/TQSqlForm/QSqlForm/g' | \
		sed 's/TQDataBrowserPrivate/Q3DataBrowserPrivate/g' | \
		sed 's/TQDataBrowser/Q3DataBrowser/g' | \
		sed 's/TQDataStream/QDataStream/g' | \
		sed 's/TQPainter/QPainter/g' | \
		sed 's/TQSqlField/QSqlField/g' | \
		sed 's/TQSqlPropertyMap/QSqlPropertyMap/g' | \
		sed 's/TQDataTablePrivate/QDataTablePrivate/g' | \
		sed 's/TQDataTable/Q3DataTable/g' | \
		sed 's/TQDataView/Q3DataView/g' | \
		sed 's/TQDateEdit/Q3DateEdit/g' | \
		sed 's/TQTimeEdit/Q3TimeEdit/g' | \
		sed 's/TQDateTimeEdit/Q3DateTimeEdit/g' | \
		sed 's/TQDateTimeEditBase/Q3DateTimeEditBase/g' | \
		sed 's/TQDate/QDate/g' | \
		sed 's/TQTime/QTime/g' | \
		sed 's/TQDateTime/Q3DateTime/g' | \
		sed 's/TQDeepCopy/Q3DeepCopy/g' | \
		sed 's/TQDesktopWidget/QDesktopWidget/g' | \
		sed 's/TQDial/QDial/g' | \
		sed 's/TQDialog/QDialog/g' | \
		sed 's/TQDict/Q3Dict/g' | \
		sed 's/TQDictIterator/Q3DictIterator/g' | \
		sed 's/TQDir/QDir/g' | \
		sed 's/TQDirLineEdit/QDirLineEdit/g' | \
		sed 's/TQDirMultiLineEdit/QDirMultiLineEdit/g' | \
		sed 's/TQDns/Q3Dns/g' | \
		sed 's/TQDnsSocket/QDnsSocket/g' | \
		sed 's/TQDockArea/Q3DockArea/g' | \
		sed 's/TQDockAreaLayout/QDockAreaLayout/g' | \
		sed 's/TQDockWindow/Q3DockWindow/g' | \
		sed 's/TQDomImplementation/QDomImplementation/g' | \
		sed 's/TQDomNodeList/QDomNodeList/g' | \
		sed 's/TQDomDocumentType/QDomDocumentType/g' | \
		sed 's/TQDomDocument/QDomDocument/g' | \
		sed 's/TQDomNamedNodeMap/QDomNamedNodeMap/g' | \
		sed 's/TQDomDocumentFragment/QDomDocumentFragment/g' | \
		sed 's/TQDomCharacterData/QDomCharacterData/g' | \
		sed 's/TQDomAttr/QDomAttr/g' | \
		sed 's/TQDomElement/QDomElement/g' | \
		sed 's/TQDomText/QDomText/g' | \
		sed 's/TQDomComment/QDomComment/g' | \
		sed 's/TQDomCDATASection/QDomCDATASection/g' | \
		sed 's/TQDomNotation/QDomNotation/g' | \
		sed 's/TQDomEntity/QDomEntity/g' | \
		sed 's/TQDomEntityReference/QDomEntityReference/g' | \
		sed 's/TQDomProcessingInstruction/QDomProcessingInstruction/g' | \
		sed 's/TQDomNode/QDomNode/g' | \
		sed 's/TQDragObject/Q3DragObject/g' | \
		sed 's/TQStoredDrag/Q3StoredDrag/g' | \
		sed 's/TQTextDrag/Q3TextDrag/g' | \
		sed 's/TQImageDrag/Q3ImageDrag/g' | \
		sed 's/TQUriDrag/Q3UriDrag/g' | \
		sed 's/TQColorDrag/Q3ColorDrag/g' | \
		sed 's/TQDropSite/Q3DropSite/g' | \
		sed 's/TQEditorFactory/Q3EditorFactory/g' | \
		sed 's/TQErrorMessage/QErrorMessage/g' | \
		sed 's/TQEucJpCodec/QEucJpCodec/g' | \
		sed 's/TQEucKrCodec/QEucKrCodec/g' | \
		sed 's/TQEvent/QEvent/g' | \
		sed 's/TQTimerEvent/QTimerEvent/g' | \
		sed 's/TQMouseEvent/QMouseEvent/g' | \
		sed 's/TQWheelEvent/QWheelEvent/g' | \
		sed 's/TQTabletEvent/QTabletEvent/g' | \
		sed 's/TQKeyEvent/QKeyEvent/g' | \
		sed 's/TQFocusEvent/QFocusEvent/g' | \
		sed 's/TQPaintEvent/QPaintEvent/g' | \
		sed 's/TQMoveEvent/QMoveEvent/g' | \
		sed 's/TQResizeEvent/QResizeEvent/g' | \
		sed 's/TQCloseEvent/QCloseEvent/g' | \
		sed 's/TQIconDragEvent/QIconDragEvent/g' | \
		sed 's/TQShowEvent/QShowEvent/g' | \
		sed 's/TQHideEvent/QHideEvent/g' | \
		sed 's/TQContextMenuEvent/QContextMenuEvent/g' | \
		sed 's/TQIMEvent/QIMEvent/g' | \
		sed 's/TQIMComposeEvent/QIMComposeEvent/g' | \
		sed 's/TQDropEvent/QDropEvent/g' | \
		sed 's/TQDragMoveEvent/QDragMoveEvent/g' | \
		sed 's/TQDragEnterEvent/QDragEnterEvent/g' | \
		sed 's/TQDragResponseEvent/QDragResponseEvent/g' | \
		sed 's/TQDragLeaveEvent/QDragLeaveEvent/g' | \
		sed 's/TQChildEvent/QChildEvent/g' | \
		sed 's/TQCustomEvent/QCustomEvent/g' | \
		sed 's/TQEventLoop/QEventLoop/g' | \
		sed 's/TQFileIconProvider/Q3FileIconProvider/g' | \
		sed 's/TQFilePreview/Q3FilePreview/g' | \
		sed 's/TQFileDialog/Q3FileDialog/g' | \
		sed 's/TQFile/QFile/g' | \
		sed 's/TQFileInfo/QFileInfo/g' | \
		sed 's/TQFileInfoList/QFileInfoList/g' | \
		sed 's/TQFileInfoListIterator/QFileInfoListIterator/g' | \
		sed 's/TQFocusData/QFocusData/g' | \
		sed 's/TQFontDatabase/QFontDatabase/g' | \
		sed 's/TQFont/QFont/g' | \
		sed 's/TQFontInfo/QFontInfo/g' | \
		sed 's/TQFontMetrics/QFontMetrics/g' | \
		sed 's/TQFrame/Q3Frame/g' | \
		sed 's/TQFtp/Q3Ftp/g' | \
		sed 's/TQGArray/QGArray/g' | \
		sed 's/TQGb18030Codec/QGb18030Codec/g' | \
		sed 's/TQGbkCodec/QGbkCodec/g' | \
		sed 's/TQGb2312Codec/QGb2312Codec/g' | \
		sed 's/TQGCache/QGCache/g' | \
		sed 's/TQGCacheIterator/QGCacheIterator/g' | \
		sed 's/TQBaseBucket/QBaseBucket/g' | \
		sed 's/TQStringBucket/QStringBucket/g' | \
		sed 's/TQAsciiBucket/QAsciiBucket/g' | \
		sed 's/TQIntBucket/QIntBucket/g' | \
		sed 's/TQPtrBucket/QPtrBucket/g' | \
		sed 's/TQGDict/QGDict/g' | \
		sed 's/TQGDictIterator/QGDictIterator/g' | \
		sed 's/TQGLColormap/QGLColormap/g' | \
		sed 's/TQGL/QGL/g' | \
		sed 's/TQGLFormat/QGLFormat/g' | \
		sed 's/TQGLContext/QGLContext/g' | \
		sed 's/TQGLWidget/QGLWidget/g' | \
		sed 's/TQLNode/QLNode/g' | \
		sed 's/TQGList/QGList/g' | \
		sed 's/TQGListIterator/QGListIterator/g' | \
		sed 's/TQGListStdIterator/QGListStdIterator/g' | \
		sed 's/TQGPlugin/QGPlugin/g' | \
		sed 's/TQGrid/Q3Grid/g' | \
		sed 's/TQGridView/Q3GridView/g' | \
		sed 's/TQGroupBox/Q3GroupBox/g' | \
		sed 's/TQGuardedPtr/QGuardedPtr/g' | \
		sed 's/TQGuardedPtrPrivate/QGuardedPtrPrivate/g' | \
		sed 's/TQGVector/QGVector/g' | \
		sed 's/TQHBox/Q3HBox/g' | \
		sed 's/TQHButtonGroup/Q3HButtonGroup/g' | \
		sed 's/TQHeader/Q3Header/g' | \
		sed 's/TQHGroupBox/Q3HGroupBox/g' | \
		sed 's/TQHostAddress/QHostAddress/g' | \
		sed 's/TQHttpHeader/Q3HttpHeader/g' | \
		sed 's/TQHttpResponseHeader/Q3HttpResponseHeader/g' | \
		sed 's/TQHttpRequestHeader/Q3HttpRequestHeader/g' | \
		sed 's/TQHttp/Q3Http/g' | \
		sed 's/TQIconSet/QIconSet/g' | \
		sed 's/TQIconFactory/QIconFactory/g' | \
		sed 's/TQIconDragItem/Q3IconDragItem/g' | \
		sed 's/TQIconDrag/Q3IconDrag/g' | \
		sed 's/TQIconViewItem/Q3IconViewItem/g' | \
		sed 's/TQIconView/Q3IconView/g' | \
		sed 's/TQImageFormatPlugin/QImageFormatPlugin/g' | \
		sed 's/TQImageTextKeyLang/QImageTextKeyLang/g' | \
		sed 's/TQImage/QImage/g' | \
		sed 's/TQImageIO/QImageIO/g' | \
		sed 's/TQInputContextFactory/QInputContextFactory/g' | \
		sed 's/TQInputContext/QInputContext/g' | \
		sed 's/TQIntCache/Q3IntCache/g' | \
		sed 's/TQIntCacheIterator/Q3IntCacheIterator/g' | \
		sed 's/TQIntDict/Q3IntDict/g' | \
		sed 's/TQIntDictIterator/Q3IntDictIterator/g' | \
		sed 's/TQIODevice/QIODevice/g' | \
		sed 's/TQJisCodec/QJisCodec/g' | \
		sed 's/TQJpUnicodeConv/QJpUnicodeConv/g' | \
		sed 's/TQKeySequence/QKeySequence/g' | \
		sed 's/TQLabel/QLabel/g' | \
		sed 's/TQGLayoutIterator/QGLayoutIterator/g' | \
		sed 's/TQLayoutIterator/QLayoutIterator/g' | \
		sed 's/TQLayoutItem/QLayoutItem/g' | \
		sed 's/TQSpacerItem/QSpacerItem/g' | \
		sed 's/TQWidgetItem/QWidgetItem/g' | \
		sed 's/TQLayout/QLayout/g' | \
		sed 's/TQGridLayout/QGridLayout/g' | \
		sed 's/TQBoxLayout/QBoxLayout/g' | \
		sed 's/TQHBoxLayout/QHBoxLayout/g' | \
		sed 's/TQVBoxLayout/QVBoxLayout/g' | \
		sed 's/TQLCDNumber/QLCDNumber/g' | \
		sed 's/TQLibrary/QLibrary/g' | \
		sed 's/TQLineEdit/QLineEdit/g' | \
		sed 's/TQListBox/Q3ListBox/g' | \
		sed 's/TQListBoxItem/Q3ListBoxItem/g' | \
		sed 's/TQListBoxText/Q3ListBoxText/g' | \
		sed 's/TQListBoxPixmap/Q3ListBoxPixmap/g' | \
		sed 's/TQListViewItem/Q3ListViewItem/g' | \
		sed 's/TQListView/Q3ListView/g' | \
		sed 's/TQCheckListItem/Q3CheckListItem/g' | \
		sed 's/TQListViewItemIterator/Q3ListViewItemIterator/g' | \
		sed 's/TQLocale/QLocale/g' | \
		sed 's/TQLocalFs/Q3LocalFs/g' | \
		sed 's/TQMainWindow/Q3MainWindow/g' | \
		sed 's/TQMapIterator/QMapIterator/g' | \
		sed 's/TQMapConstIterator/QMapConstIterator/g' | \
		sed 's/TQMapPrivateBase/QMapPrivateBase/g' | \
		sed 's/TQMapPrivate/QMapPrivate/g' | \
		sed 's/TQMap/QMap/g' | \
		sed 's/TQMemArray/Q3MemArray/g' | \
		sed 's/TQMenuBar/QMenuBar/g' | \
		sed 's/TQMenuItem/QMenuItem/g' | \
		sed 's/TQCustomMenuItem/QCustomMenuItem/g' | \
		sed 's/TQMenuData/QMenuData/g' | \
		sed 's/TQMessageBox/QMessageBox/g' | \
		sed 's/TQMetaProperty/QMetaProperty/g' | \
		sed 's/TQMetaObject/QMetaObject/g' | \
		sed 's/TQMetaObjectCleanUp/QMetaObjectCleanUp/g' | \
		sed 's/TQMimeSource/QMimeSource/g' | \
		sed 's/TQMimeSourceFactory/Q3MimeSourceFactory/g' | \
		sed 's/TQWindowsMime/QWindowsMime/g' | \
		sed 's/TQMacMime/QMacMime/g' | \
		sed 's/TQMotifPlusStyle/QMotifPlusStyle/g' | \
		sed 's/TQMotifStyle/QMotifStyle/g' | \
		sed 's/TQMovie/QMovie/g' | \
		sed 's/TQMultiLineEdit/Q3MultiLineEdit/g' | \
		sed 's/TQMutex/QMutex/g' | \
		sed 's/TQMutexLocker/QMutexLocker/g' | \
		sed 's/TQt/Qt/g' | \
		sed 's/TQInternal/QInternal/g' | \
		sed 's/TQNetworkProtocolFactoryBase/QNetworkProtocolFactoryBase/g' | \
		sed 's/TQNetworkProtocolFactory/QNetworkProtocolFactory/g' | \
		sed 's/TQNetworkProtocol/Q3NetworkProtocol/g' | \
		sed 's/TQNetworkOperation/Q3NetworkOperation/g' | \
		sed 's/TQObjectCleanupHandler/QObjectCleanupHandler/g' | \
		sed 's/TQObjectDictionary/QObjectDictionary/g' | \
		sed 's/TQObject/QObject/g' | \
		sed 's/TQObjectUserData/QObjectUserData/g' | \
		sed 's/TQObject/QObject/g' | \
		sed 's/TQObjectList/QObjectList/g' | \
		sed 's/TQObjectListIterator/QObjectListIterator/g' | \
		sed 's/TQObjectListIt/QObjectListIt/g' | \
		sed 's/TQPaintDevice/QPaintDevice/g' | \
		sed 's/TQPaintDeviceMetrics/Q3PaintDeviceMetrics/g' | \
		sed 's/TQPainter/Q3Painter/g' | \
		sed 's/TQColorGroup/QColorGroup/g' | \
		sed 's/TQPalette/QPalette/g' | \
		sed 's/TQPen/QPen/g' | \
		sed 's/TQPicture/Q3Picture/g' | \
		sed 's/TQPixmapCache/QPixmapCache/g' | \
		sed 's/TQPixmap/QPixmap/g' | \
		sed 's/TQPlatinumStyle/QPlatinumStyle/g' | \
		sed 's/TQPNGImageWriter/QPNGImageWriter/g' | \
		sed 's/TQPNGImagePacker/QPNGImagePacker/g' | \
		sed 's/TQPointArray/Q3PointArray/g' | \
		sed 's/TQPoint/QPoint/g' | \
		sed 's/TQPolygonScanner/QPolygonScanner/g' | \
		sed 's/TQPopupMenu/Q3PopupMenu/g' | \
		sed 's/TQPrintDialog/QPrintDialog/g' | \
		sed 's/TQPrinter/QPrinter/g' | \
		sed 's/TQProcess/Q3Process/g' | \
		sed 's/TQProgressBar/QP3rogressBar/g' | \
		sed 's/TQProgressDialog/Q3ProgressDialog/g' | \
		sed 's/TQPtrCollection/Q3PtrCollection/g' | \
		sed 's/TQPtrDict/Q3PtrDict/g' | \
		sed 's/TQPtrDictIterator/Q3PtrDictIterator/g' | \
		sed 's/TQPtrListStdIterator/Q3PtrListStdIterator/g' | \
		sed 's/TQPtrList/Q3PtrList/g' | \
		sed 's/TQPtrListIterator/Q3PtrListIterator/g' | \
		sed 's/TQPtrQueue/Q3PtrQueue/g' | \
		sed 's/TQPtrStack/Q3PtrStack/g' | \
		sed 's/TQPtrVector/Q3PtrVector/g' | \
		sed 's/TQPushButton/QPushButton/g' | \
		sed 's/TQRadioButton/QRadioButton/g' | \
		sed 's/TQRangeControl/Q3RangeControl/g' | \
		sed 's/TQSpinWidget/QSpinWidget/g' | \
		sed 's/TQRect/QRect/g' | \
		sed 's/TQRegExp/QRegExp/g' | \
		sed 's/TQRegion/QRegion/g' | \
		sed 's/TQHebrewCodec/QHebrewCodec/g' | \
		sed 's/TQScrollBar/QScrollBar/g' | \
		sed 's/TQScrollView/Q3ScrollView/g' | \
		sed 's/TQSemaphore/Q3Semaphore/g' | \
		sed 's/TQSemiModal/QSemiModal/g' | \
		sed 's/TQServerSocket/Q3ServerSocket/g' | \
		sed 's/TQSettings/QSettings/g' | \
		sed 's/TQSGIStyle/QSGIStyle/g' | \
		sed 's/TQSignal/Q3Signal/g' | \
		sed 's/TQSignalMapper/QSignalMapper/g' | \
		sed 's/TQConnectionList/QConnectionList/g' | \
		sed 's/TQConnectionListIt/QConnectionListIt/g' | \
		sed 's/TQSignalVec/QSignalVec/g' | \
		sed 's/TQSimpleRichText/Q3SimpleRichText/g' | \
		sed 's/TQSizeGrip/QSizeGrip/g' | \
		sed 's/TQSize/QSize/g' | \
		sed 's/TQSizePolicy/QSizePolicy/g' | \
		sed 's/TQSjisCodec/QSjisCodec/g' | \
		sed 's/TQSlider/QSlider/g' | \
		sed 's/TQSocketDevice/Q3SocketDevice/g' | \
		sed 's/TQSocket/Q3Socket/g' | \
		sed 's/TQSocketNotifier/QSocketNotifier/g' | \
		sed 's/TQSortedList/QSortedList/g' | \
		sed 's/TQSound/QSound/g' | \
		sed 's/TQSpinBox/QSpinBox/g' | \
		sed 's/TQSplashScreen/QSplashScreen/g' | \
		sed 's/TQSplitter/QSplitter/g' | \
		sed 's/TQSqlCursor/Q3SqlCursor/g' | \
		sed 's/TQSqlDatabase/QSqlDatabase/g' | \
		sed 's/TQSqlDriver/QSqlDriver/g' | \
		sed 's/TQSqlDriverPlugin/QSqlDriverPlugin/g' | \
		sed 's/TQSqlEditorFactory/Q3SqlEditorFactory/g' | \
		sed 's/TQSqlError/QSqlError/g' | \
		sed 's/TQSqlFieldPrivate/QSqlFieldPrivate/g' | \
		sed 's/TQSqlField/QSqlField/g' | \
		sed 's/TQSqlFieldInfo/Q3SqlFieldInfo/g' | \
		sed 's/TQSqlForm/Q3SqlForm/g' | \
		sed 's/TQSql/QSql/g' | \
		sed 's/TQSqlIndex/QSqlIndex/g' | \
		sed 's/TQSqlPropertyMap/Q3SqlPropertyMap/g' | \
		sed 's/TQSqlQuery/QSqlQuery/g' | \
		sed 's/TQSqlResultShared/QSqlResultShared/g' | \
		sed 's/TQSqlRecordShared/QSqlRecordShared/g' | \
		sed 's/TQSqlRecord/QSqlRecord/g' | \
		sed 's/TQSqlRecordInfo/Q3SqlRecordInfo/g' | \
		sed 's/TQSqlResult/QSqlResult/g' | \
		sed 's/TQSqlSelectCursorPrivate/QSqlSelectCursorPrivate/g' | \
		sed 's/TQSqlSelectCursor/Q3SqlSelectCursor/g' | \
		sed 's/TQStatusBar/QStatusBar/g' | \
		sed 's/TQChar/QChar/g' | \
		sed 's/TQString/QString/g' | \
		sed 's/TQCharRef/QCharRef/g' | \
		sed 's/TQConstString/QConstString/g' | \
#		sed 's/TQStringList/QStringList/g' | \
#		sed 's/TQStrListIterator/Q3StrListIterator/g' | \
#		sed 's/TQStrIList/Q3StrIList/g' | \
#		sed 's/TQStrList/Q3StrList/g' | \
#		sed 's/TQStrVec/QStrVec/g' | \
#		sed 's/TQStrIVec/QStrIVec/g' | \
		sed 's/TQStyleFactory/QStyleFactory/g' | \
		sed 's/TQStyleOption/QStyleOption/g' | \
		sed 's/TQStyle/QStyle/g' | \
		sed 's/TQStyleHintReturn/QStyleHintReturn/g' | \
		sed 's/TQStylePlugin/QStylePlugin/g' | \
		sed 's/TQStyleSheetItem/Q3StyleSheetItem/g' | \
		sed 's/TQStyleSheet/Q3StyleSheet/g' | \
		sed 's/TQSyntaxHighlighter/Q3SyntaxHighlighter/g' | \
		sed 's/TQTab/QTab/g' | \
		sed 's/TQTabBar/QTabBar/g' | \
		sed 's/TQTabDialog/Q3TabDialog/g' | \
		sed 's/TQTableSelection/Q3TableSelection/g' | \
		sed 's/TQTableItem/Q3TableItem/g' | \
		sed 's/TQComboTableItem/QComboTableItem/g' | \
		sed 's/TQCheckTableItem/Q3CheckTableItem/g' | \
		sed 's/TQTable/Q3Table/g' | \
		sed 's/TQTabWidget/QTabWidget/g' | \
		sed 's/TQTextBrowser/Q3TextBrowser/g' | \
		sed 's/TQTextCodecFactory/QTextCodecFactory/g' | \
		sed 's/TQTextEncoder/QTextEncoder/g' | \
		sed 's/TQTextDecoder/QTextDecoder/g' | \
		sed 's/TQTextCodec/QTextCodec/g' | \
		sed 's/TQTextCodecPlugin/QTextCodecPlugin/g' | \
		sed 's/TQTextEdit/Q3TextEdit/g' | \
		sed 's/TQTextStream/Q3TextStream/g' | \
		sed 's/TQTextIStream/QTextIStream/g' | \
		sed 's/TQTextOStream/QTextOStream/g' | \
		sed 's/TQTSManip/QTSManip/g' | \
		sed 's/TQTextView/Q3TextView/g' | \
		sed 's/TQThread/QThread/g' | \
		sed 's/TQThreadStorageData/QThreadStorageData/g' | \
		sed 's/TQThreadStorage/QThreadStorage/g' | \
		sed 's/TQTimer/QTimer/g' | \
		sed 's/TQTextOStreamIterator/QTextOStreamIterator/g' | \
		sed 's/TQBackInsertIterator/QBackInsertIterator/g' | \
		sed 's/TQtMsgType/QtMsgType/g' | \
		sed 's/TQtMsgHandler/QtMsgHandler/g' | \
		sed 's/TQToolBar/Q3ToolBar/g' | \
		sed 's/TQToolBox/QToolBox/g' | \
		sed 's/TQToolButton/QToolButton/g' | \
		sed 's/TQToolTipGroup/QToolTipGroup/g' | \
		sed 's/TQToolTip/QToolTip/g' | \
		sed 's/TQTsciiCodec/QTsciiCodec/g' | \
		sed 's/TQUrl/Q3Url/g' | \
		sed 's/TQUrlInfo/QUrlInfo/g' | \
		sed 's/TQUrlOperator/Q3UrlOperator/g' | \
		sed 's/TQUtf8Codec/QUtf8Codec/g' | \
		sed 's/TQUtf16Codec/QUtf16Codec/g' | \
		sed 's/TQValidator/QValidator/g' | \
		sed 's/TQIntValidator/QIntValidator/g' | \
		sed 's/TQDoubleValidator/QDoubleValidator/g' | \
		sed 's/TQRegExpValidator/QRegExpValidator/g' | \
		sed 's/TQValueListNode/QValueListNode/g' | \
		sed 's/TQValueListIterator/Q3ValueListIterator/g' | \
		sed 's/TQValueListConstIterator/Q3ValueListConstIterator/g' | \
		sed 's/TQValueListPrivate/QValueListPrivate/g' | \
		sed 's/TQValueList/Q3ValueList/g' | \
		sed 's/TQValueStack/Q3ValueStack/g' | \
		sed 's/TQValueVectorPrivate/QValueVectorPrivate/g' | \
		sed 's/TQValueVector/Q3ValueVector/g' | \
		sed 's/TQVariant/QVariant/g' | \
		sed 's/TQVBox/Q3VBox/g' | \
		sed 's/TQVButtonGroup/Q3VButtonGroup/g' | \
		sed 's/TQVGroupBox/Q3VGroupBox/g' | \
		sed 's/TQWaitCondition/QWaitCondition/g' | \
		sed 's/TQWhatsThis/Q3WhatsThis/g' | \
		sed 's/TQWidgetFactory/QWidgetFactory/g' | \
		sed 's/TQWidget/QWidget/g' | \
		sed 's/TQWidgetIntDict/QWidgetIntDict/g' | \
		sed 's/TQWidgetIntDictIt/QWidgetIntDictIt/g' | \
		sed 's/TQWidgetList/QWidgetList/g' | \
		sed 's/TQWidgetListIt/QWidgetListIt/g' | \
		sed 's/TQWidgetPlugin/QWidgetPlugin/g' | \
		sed 's/TQWidgetContainerPlugin/QWidgetContainerPlugin/g' | \
		sed 's/TQWidgetStack/Q3WidgetStack/g' | \
		sed 's/TQWidgetStackAccelManager/Q3WidgetStackAccelManager/g' | \
		sed 's/TQWindowsStyle/QWindowsStyle/g' | \
		sed 's/TQWizard/Q3Wizard/g' | \
		sed 's/TQWMatrix/QWMatrix/g' | \
		sed 's/TQWorkspace/QWorkspace/g' | \
		sed 's/TQXmlNamespaceSupport/QXmlNamespaceSupport/g' | \
		sed 's/TQXmlAttributes/QXmlAttributes/g' | \
		sed 's/TQXmlInputSource/QXmlInputSource/g' | \
		sed 's/TQXmlParseException/QXmlParseException/g' | \
		sed 's/TQXmlReader/QXmlReader/g' | \
		sed 's/TQXmlSimpleReader/QXmlSimpleReader/g' | \
		sed 's/TQXmlLocator/QXmlLocator/g' | \
		sed 's/TQXmlContentHandler/QXmlContentHandler/g' | \
		sed 's/TQXmlErrorHandler/QXmlErrorHandler/g' | \
		sed 's/TQXmlDTDHandler/QXmlDTDHandler/g' | \
		sed 's/TQXmlEntityResolver/QXmlEntityResolver/g' | \
		sed 's/TQXmlLexicalHandler/QXmlLexicalHandler/g' | \
		sed 's/TQXmlDeclHandler/QXmlDeclHandler/g' | \
		sed 's/TQXmlDefaultHandler/QXmlDefaultHandler/g'
	fi
fi
